/* General */
body {
    color: #000;
    background-color: #fff;
}
label {
    display: inline-block;
    color: #fff;
    margin-bottom: 0.5rem;
    font-size: 1rem;
    vertical-align: middle;
}
.signup-complete {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    z-index: 99999;
}
.signup-complete-message {
    color: #fff;
}
.signup-complete-content {
    z-index: 100;
}
.confirm-verification-code {
    max-width: 15rem;
    margin: 1.25rem auto 0 auto;
}
.confirm-verification-code input {
    padding: 0.5rem 1rem 0.5rem 1.5rem;
    font-size: 2rem;
    text-align: center;
    letter-spacing: 0.75rem;
}

/* Card */
.card:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #0387ff;
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.5);
    border-radius: 1.5rem;
    transform: rotate(-5deg);
    z-index: -1;
}
.card-signup {
    margin-bottom: 3rem;
}
.card-signup .card-header {
    padding: 2.5rem 3rem 0.5rem 3rem;
    font-size: 1.15rem;
}
.card-signup .card-body {
    padding: 1.5rem 3rem 2.5rem 3rem;
}
.card-login {
    box-shadow: 0 2rem 3rem rgba(0,0,0,0.25);
    background-color: #FFF;
}
.card-login .card-body {
    padding: 3rem 2.5rem;
}

/* Password Meter */
.password-input-meter {
    position: absolute;
    top: 50%;
    right: 1rem;
    height: auto;
    padding: 2px 5px;
    transform: translateY(-50%);
}
.password-input-meter .password-input-dot {
    width: 5px;
    height: 5px;
    margin: 2px;
    background-color: #15253c;
    border: 1px solid #6e7786;
    border-radius: 50%;
}
.password-input-meter .password-input-dot-selected {
    background-color: #feab00;
    border-color: #feab00;
}

/* Stripe */
#card-element {
    color: #fff;
    background-color: #15253c;
    background-image: none;
    border: 2px solid #6e7786;
    border-radius: 1.5rem;
    padding: 0 1rem;
}

/* Signup Alert */
.signup-complete-alert {
    display: flex;
    width: 140px;
    height: 140px;
    margin: 0 auto 10px auto;
    align-items: center;
    justify-content: center;
}
.signup-alert-success {
    display: none;
    border-radius: 50%;
    border: 4px solid #008000;
    box-sizing: content-box;
    height: 80px;
    padding: 0;
    position: relative;
    background-color: #04142d;
    width: 80px;
}
.signup-alert-success:after,
.signup-alert-success:before {
    background: #04142d;
    content: '';
    height: 120px;
    position: absolute;
    transform: rotate(45deg);
    width: 60px;
}
.signup-alert-success:before {
    border-radius: 40px 0 0 40px;
    width: 26px;
    height: 80px;
    top: -17px;
    left: 5px;
    transform-origin: 60px 60px;
    transform: rotate(-45deg);
}
.signup-alert-success:after {
    border-radius: 0 120px 120px 0;
    left: 30px;
    top: -11px;
    transform-origin: 0 60px;
    transform: rotate(-45deg);
    animation: rotatePlaceholder 4.25s ease-in;
}
.signup-alert-success-placeholder {
    position: absolute;
    left: -4px;
    top: -4px;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: 4px solid #008000;
    box-sizing: content-box;
    z-index: 2;
}
.signup-alert-success-fix {
    position: absolute;
    top: 8px;
    left: 28px;
    width: 5px;
    height: 90px;
    background-color: #04142d;
    transform: rotate(-45deg);
    z-index: 1;
}
.signup-alert-success-tip,
.signup-alert-success-long {
    position: absolute;
    height: 5px;
    background-color: #008000;
    border-radius: 2px;
    z-index: 2;
}
.signup-alert-success-tip {
    top: 46px;
    left: 14px;
    width: 25px;
    transform: rotate(45deg);
    animation: animateSuccessTip 0.75s;
}
.signup-alert-success-long {
    right: 8px;
    top: 38px;
    transform: rotate(-45deg);
    width: 47px;
    animation: animateSuccessLong 0.75s;
}
@keyframes animateSuccessTip {
    0%,
    54% {
        width: 0;
        left: 1px;
        top: 19px;
    }
    70% {
        width: 50px;
        left: -8px;
        top: 37px;
    }
    84% {
        width: 17px;
        left: 21px;
        top: 48px;
    }
    100% {
        width: 25px;
        left: 14px;
        top: 45px;
    }
}
@keyframes animateSuccessLong {
    0%,
    65% {
        width: 0;
        right: 46px;
        top: 54px;
    }
    84% {
        width: 55px;
        right: 0;
        top: 35px;
    }
    100% {
        width: 47px;
        right: 8px;
        top: 38px;
    }
}
@keyframes rotatePlaceholder {
    0%,
    5% {
        transform: rotate(-45deg);
    }
    100%,
    12% {
        transform: rotate(-405deg);
    }
}
.signup-alert-error {
    display: none;
    border-radius: 50%;
    border: 4px solid #c80000;
    box-sizing: content-box;
    height: 80px;
    padding: 0;
    position: relative;
    background-color: #04142d;
    width: 80px;
    animation: animateErrorIcon 0.5s;
}
.signup-alert-error:after,
.signup-alert-error:before {
    background: #04142d;
    content: '';
    height: 120px;
    position: absolute;
    transform: rotate(45deg);
    width: 60px;
}
.signup-alert-error:before {
    border-radius: 40px 0 0 40px;
    width: 26px;
    height: 80px;
    top: -17px;
    left: 5px;
    transform-origin: 60px 60px;
    transform: rotate(-45deg);
}
.signup-alert-error:after {
    border-radius: 0 120px 120px 0;
    left: 30px;
    top: -11px;
    transform-origin: 0 60px;
    transform: rotate(-45deg);
    animation: rotatePlaceholder 4.25s ease-in;
}
.signup-alert-error-x {
    display: block;
    position: relative;
    z-index: 2;
}
.signup-alert-error-placeholder {
    border-radius: 50%;
    border: 4px solid #c80000;
    box-sizing: content-box;
    height: 80px;
    left: -4px;
    position: absolute;
    top: -4px;
    width: 80px;
    z-index: 2;
}
.signup-alert-error-fix {
    background-color: #04142d;
    height: 90px;
    left: 28px;
    position: absolute;
    top: 8px;
    transform: rotate(-45deg);
    width: 5px;
    z-index: 1;
}
.signup-alert-error-left,
.signup-alert-error-right {
    border-radius: 2px;
    display: block;
    height: 5px;
    position: absolute;
    z-index: 2;
    background-color: #c80000;
    top: 37px;
    width: 47px;
}
.signup-alert-error-left {
    left: 17px;
    transform: rotate(45deg);
    animation: animateXLeft 0.75s;
}
.signup-alert-error-right {
    right: 16px;
    transform: rotate(-45deg);
    animation: animateXRight 0.75s;
}
@keyframes rotatePlaceholder {
    0%,
    5% {
        transform: rotate(-45deg);
    }
    100%,
    12% {
        transform: rotate(-405deg);
    }
}
@keyframes animateErrorIcon {
    0% {
        transform: rotateX(100deg);
        opacity: 0;
    }
    100% {
        transform: rotateX(0deg);
        opacity: 1;
    }
}
@keyframes animateXLeft {
    0%,
    65% {
        left: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        left: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        left: 17px;
        top: 37px;
        width: 47px;
    }
}
@keyframes animateXRight {
    0%,
    65% {
        right: 82px;
        top: 95px;
        width: 0;
    }
    84% {
        right: 14px;
        top: 33px;
        width: 47px;
    }
    100% {
        right: 16px;
        top: 37px;
        width: 47px;
    }
}
.login-wrapper {
    display: flex;
    position: relative;
    padding: 5rem 2rem;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}
.login-logo {
    display: block;
    margin-bottom: 3rem;
    text-align: center;
}
.login-logo a {
    border: none;
}
.login-logo a:hover {
    border-color: transparent;
}
.login-logo img {
    width: 10rem;
}
.login-header h1 {
    color: #1E1D1D;
    margin-bottom: 0.5rem;
    font-size:35px;
}
.login-header p {
    color: #1E1D1D;
    margin-bottom: 1rem;
    font-size: 1.25rem;
}
.signup-multi-user {
    display: flex;
    padding: 2rem;
    align-items: center;
    justify-content: center;
    background-color: #2f3c51;
    border: 2px solid #2f3c51;
    border-radius: 1.5rem;
    transition: all 0.3s ease;
    cursor: pointer;
}
.signup-multi-user:hover {
    background-color: transparent;
    border-color: #6e7786;
}
.signup-multi-user p {
    margin-bottom: 0;
    font-size: 1.25rem;
}
.signup-created-users:not(:empty) {
    max-height: 17.5rem;
    margin-top: 2rem;
    padding-right: 1rem;
    overflow-y: auto;
}
.signup-created-users:not(:empty)::-webkit-scrollbar {
    width: 0.5rem;
}
.signup-created-users:not(:empty)::-webkit-scrollbar-track {
    background-color: #04142d;
    -webkit-border-radius: 1rem;
    border-radius: 1rem;
}
.signup-created-users:not(:empty)::-webkit-scrollbar-thumb {
    background: #0387ff;
    -webkit-border-radius: 1rem;
    border-radius: 1rem;
}
.signup-created-users:not(:empty)::-webkit-scrollbar-thumb:window-inactive {
    background: #0387ff;
    -webkit-border-radius: 1rem;
    border-radius: 1rem;
}
.signup-created-user {
    display: flex;
    align-items: center;
    padding: 1rem;
    margin-bottom: 1rem;
    background-color: #225479;
    border: 2px solid #0387ff;
    border-radius: 1rem;
}
.signup-created-user:last-child {
    margin-bottom: 0;
}
.created-user-icon {
    margin-right: 1.5rem;
}
.created-user-icon img {
    width: 50px;
}
.created-user-content {
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.created-user-modules .btn {
    padding: 0.65rem;
    border-radius: 0.5rem;
    overflow: visible;
}
.created-user-modules .btn:before {
    border-radius: 0.5rem;
}
.created-user-modules .btn.selected:after {
    content: '\f00c';
    color: #fff;
    position: absolute;
    padding: 0.25rem;
    bottom: -0.5rem;
    right: -0.25rem;
    width: 1.25rem;
    height: 1.25rem;
    background-color: #008000;
    border-radius: 50%;
    font-family: 'Font Awesome 5 Free';
    font-weight: 600;
    font-size: 75%;
}
.signup-payment {
    padding: 2rem;
    background-color: #2f3c51;
    border-radius: 1.5rem;
}
.signup-payment-modules {
    display: flex;
    margin-bottom: 1.5rem;
    padding-bottom: 1rem;
    flex-direction: column;
    border-bottom: 1px solid #424b5a;
}
.signup-payment-modules h3 {
    margin-bottom: 1rem;
    font-size: 1.5rem;
}
.signup-payment-module {
    display: flex;
    margin-bottom: 0.25rem;
    justify-content: space-between;
}
.signup-payment-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.signup-payment-vat,
.signup-payment-discount {
    margin-bottom: 0;
}
.signup-payment-title h3 {
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
}
.signup-payment-total {
    color: #feab00;
    font-size: 1.5rem;
}

/* Modal */
.modal .modal-header {
    border-bottom: none;
}
.modal .modal-footer {
    border-top: none;
}

/* Custom checkbox */
/* ------------------------------------------------------------------------- */
.custom-checkbox {
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: start;
    -webkit-align-items: flex-start;
    -ms-flex-align: start;
    align-items: flex-start;
    position: relative;
    cursor: pointer;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}
.custom-checkbox .custom-checkbox-input[type="checkbox"] {
    display: none;
    position: absolute;
    width: 0;
    height: 0;
    top: -35px;
    left: -35px;
    opacity: 0;
    margin-right: 10px;
}
.custom-checkbox .custom-checkbox-label {
    display: -webkit-inline-box;
    display: -webkit-inline-flex;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    vertical-align: top;
    margin: 0;
}
.custom-checkbox .custom-checkbox-faux {
    width: 20px;
    height: 20px;
    min-width: 20px;
    min-height: 20px;
    display: inline-block;
    border: 2px solid #0387ff;
    border-radius: 4px;
    position: relative;
    margin-right: 0.5rem;
    left: 0;
    cursor: pointer;
}
.custom-checkbox .custom-checkbox-faux:after {
    content: '';
    position: absolute;
    display: none;
    top: -2px;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    vertical-align: middle;
    width: 5px;
    height: 12px;
    border: solid #e1e1e1;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    transform: rotate(40deg);
    box-shadow: none;
}
.custom-checkbox .custom-checkbox-input[type="checkbox"]:checked ~ .custom-checkbox-label .custom-checkbox-faux,
.custom-checkbox--label + .custom-checkbox--faux {
    background: #0387ff;
    border-color: #0387ff;
}
.custom-checkbox .custom-checkbox-input[type="checkbox"]:checked ~ .custom-checkbox-label .custom-checkbox-faux:after,
.custom-checkbox--label + .custom-checkbox--faux:after {
    display: block;
}
/* ------------------------------------------------------------------------- */

/* Custom radio */
/* ------------------------------------------------------------------------- */
.custom-radio {
    position: relative;
    cursor: pointer;
}
.custom-radio-input[type="radio"]:checked,
.custom-radio-input[type="radio"]:not(:checked) {
    position: absolute;
    left: -9999px;
}
.custom-radio-input[type="radio"]:checked + .custom-radio-label,
.custom-radio-input[type="radio"]:not(:checked) + .custom-radio-label {
    color: #e1e1e1;
    display: inline-block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    margin-bottom: 0;
    padding: 15px 25px 15px 30px;
    line-height: 20px;
    cursor: pointer;
}
.custom-radio-input[type="radio"]:checked + .custom-radio-label:before,
.custom-radio-input[type="radio"]:not(:checked) + .custom-radio-label:before {
    content: '';
    position: absolute;
    left: 0;
    top: 15px;
    width: 22px;
    height: 22px;
    border-radius: 100%;
    background-color: #7c838a;
}
.custom-radio-input[type="radio"]:checked + .custom-radio-label:after,
.custom-radio-input[type="radio"]:not(:checked) + .custom-radio-label:after {
    content: '';
    position: absolute;
    top: 19px;
    left: 4px;
    width: 14px;
    height: 14px;
    background-color: #ffb43f;
    border-radius: 100%;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
.custom-radio-input[type="radio"]:not(:checked) + .custom-radio-label:after {
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
}
.custom-radio-input[type="radio"]:checked + .custom-radio-label:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
/* ------------------------------------------------------------------------- */

/* Request verification */
.box-phones {
    margin-top: 1.5rem;
}
.box-phone {
    display: flex;
    color: #e1e1e1;
    padding: 1rem 1.5rem;
    align-items: center;
    justify-content: space-between;
    background-color: #031126;
    border: 2px solid #243546;
    border-radius: 1rem;
}
.box-phone:not(:last-child) {
    margin-bottom: 1rem;
}
.box-phones .custom-control {
    padding-left: 2rem;
    cursor: pointer;
}
.box-phones .custom-control-label:before {
    top: 50%;
    left: -2rem;
    width: 1.5rem;
    height: 1.5rem;
    background-color: #243546;
    border: 1px solid #243546;
    transform: translateY(-50%);
}
.box-phones .custom-control-label:after {
    top: 50%;
    left: -2rem;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    transform: translateY(-50%);
}
.box-phones .custom-control-input:checked ~ .custom-control-label::before {
    color: #243546;
    background-color: #d88e07;
    border-color: #d88e07;
}
.box-phones .custom-control-input:checked ~ .custom-control-label::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%2304142d'/%3e%3c/svg%3e");
}
.box-phones .custom-control-input:focus ~ .custom-control-label::before {
    box-shadow: none;
}
.box-phones .custom-control-input:not(:disabled):active ~ .custom-control-label::before {
    background-color: #243546;
    border-color: #243546;
}

@media (max-width: 1199px) {
    .signup-payment {
        margin-top: 1.5rem;
    }
}
@media (max-width: 991px) {
    
}
@media (max-width: 767px) {
    
}
@media (max-width: 650px) {
    .card:before {
        display: none;
    }
    .card-signup .card-body {
        padding: 1.5rem 2rem 2rem 2rem;
    }
    .signup-created-users:not(:empty) {
        max-height: 20rem;
    }
    .created-user-icon {
        margin-right: 1rem;
    }
    .created-user-modules .btn {
        margin-bottom: 0.75rem;
    }
}
@media (max-width: 575px) {
    .login-wrapper {
        padding: 5rem 0;
    }
    .login-header h1 {
        font-size: 2rem;
    }
    .card-signup .card-header {
        padding: 1.5rem 1.5rem 0 1.5rem;
    }
    .card-signup .card-body {
        padding: 1.5rem;
    }
    .card-login .card-body {
        padding: 2rem 1rem;
    }
    .signup-payment {
        padding: 1.25rem 1.5rem;
    }
    .signup-payment-block {
        align-items: unset;
        flex-direction: column;
    }
    .signup-payment-title {
        margin-bottom: 0.5rem;
    }
}
@media (max-width: 475px) {
    #loginForm {
        margin-top: 0!important;
    }
    .login-logo {
        margin-bottom: 2rem;
    }
    .login-header h1 {
        font-size: 1.5rem;
    }
    .login-header p {
        font-size: 1rem;
    }
    .created-user-icon {
        display: none;
    }
}
@media (max-width: 400px) {
    .card-signup .card-header {
        padding: 1rem 1rem 0 1rem;
    }
    .card-signup .card-body {
        padding: 1rem;
    }
    .signup-payment {
        margin-bottom: 0.5rem;
    }
    label {
        font-size: 0.9rem;
    }
}
.form-control{background-color: #FFF; border: 2px solid #FFF;color: #1E1D1D;}
.form-control:focus{background-color: #FFF;border-color: #0387ff;box-shadow: none;color: #1E1D1D;}
.form-control::placeholder{color: #1E1D1D;opacity: .5;}
.btn-primary, .btn-primary:hover, .btn-primary:focus, .btn-primary:disabled, .btn-primary.disabled, .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled):active:focus{background-color: #0387ff;color: #FFF;}
.form-control:-webkit-autofill, .form-control:-webkit-autofill:hover, .form-control:-webkit-autofill:focus{border: 2px solid #1E1D1D!important;background-color: #FFF !important;-webkit-text-fill-color: #1E1D1D;}
.custom-checkbox .custom-checkbox-label{color: #1E1D1D;}
.login-wrapper .form-control:-webkit-autofill, .login-wrapper .form-control:-webkit-autofill:hover, 
.login-wrapper .form-control:-webkit-autofill:focus, .login-wrapper .login-wrapper .form-control:-webkit-autofill, 
.login-wrapper .form-control:-webkit-autofill:hover, .login-wrapper .form-control:-webkit-autofill:focus, .login-wrapper .form-control{background-color: #FFF !important;    border: 2px solid #1E1D1D!important;color: #1E1D1D !important;-webkit-text-fill-color: #1E1D1D !important;}